"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AffiliationsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class AffiliationsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/affiliations",
            auth: auth,
            writeTypeName: "AffiliationWrite",
            singleResponseTypeName: "WrappedAffiliation",
            multipleResponseTypeName: "WrappedWithMetaArrayAffiliation",
            queryOptions: queryOptions,
        });
    }
    async create(affiliation) {
        return this.client.create(affiliation);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, affiliation) {
        return this.client.update(id, affiliation);
    }
    async remove(id) {
        return this.client.remove(id);
    }
}
exports.AffiliationsClient = AffiliationsClient;
