import { Consent, ConsentWrite, WrappedConsent, WrappedWithMetaArrayConsent } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class ConsentsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(consent: ConsentWrite): Promise<WrappedConsent>;
    get(id: string, query?: GetQueryParams): Promise<WrappedConsent>;
    find(findParams?: FindQueryParams<Consent>): Promise<WrappedWithMetaArrayConsent>;
    update(id: string, consent: ConsentWrite): Promise<WrappedConsent>;
}
