"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsentsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class ConsentsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/consents",
            auth: auth,
            writeTypeName: "ConsentWrite",
            singleResponseTypeName: "WrappedConsent",
            multipleResponseTypeName: "WrappedWithMetaArrayConsent",
            queryOptions: queryOptions,
        });
    }
    async create(consent) {
        return this.client.create(consent);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, consent) {
        return this.client.update(id, consent);
    }
}
exports.ConsentsClient = ConsentsClient;
