import { Environment } from "../configuration/environments.js";
import { Scope } from "../configuration/scopes.js";
import { AffiliationsClient } from "./affiliationsClient.js";
import { ConsentsClient } from "./consentsClient.js";
import { CountriesClient } from "./countriesClient.js";
import { OrgsClient } from "./orgsClient.js";
import { PersonsClient } from "./personsClient.js";
import { RelationsClient } from "./relationsClient.js";
import { RoleAssignmentsClient } from "./roleAssignmentsClient.js";
import { RolesClient } from "./rolesClient.js";
import { QueryOptions } from "../model/queryParams.js";
import { GroupsClient } from "./groupsClient.js";
export interface CoreApiConfig {
    environment: Environment;
    clientId: string;
    clientSecret: string;
    customApiBaseUrl?: string;
    scopes?: Scope[];
    customOauthTokenUrl?: string;
    customOauthAudience?: string;
    customOptions?: Record<string, string>;
    queryOptions?: QueryOptions;
}
export declare class CoreApiClient {
    private auth;
    private basePath;
    private queryOptions;
    private _affiliations;
    private _consents;
    private _countries;
    private _orgs;
    private _persons;
    private _relations;
    private _roles;
    private _roleAssignments;
    private _groups;
    get affiliations(): AffiliationsClient;
    get consents(): ConsentsClient;
    get countries(): CountriesClient;
    get orgs(): OrgsClient;
    get persons(): PersonsClient;
    get relations(): RelationsClient;
    get roles(): RolesClient;
    get roleAssignments(): RoleAssignmentsClient;
    get groups(): GroupsClient;
    constructor(config: CoreApiConfig);
    refreshTestData(): Promise<import("axios").AxiosResponse<any, any>>;
    getToken(): Promise<string | undefined>;
}
