import { Country, CountryWrite, WrappedCountry, WrappedWithMetaArrayCountry } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class CountriesClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(country: CountryWrite): Promise<WrappedCountry>;
    get(id: string, query?: GetQueryParams): Promise<WrappedCountry>;
    find(findParams?: FindQueryParams<Country>): Promise<WrappedWithMetaArrayCountry>;
    update(id: string, country: CountryWrite): Promise<WrappedCountry>;
}
