import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export interface GenericClientConfig {
    basePath: string;
    endpointPath: string;
    auth: Auth;
    writeTypeName: string;
    singleResponseTypeName: string;
    multipleResponseTypeName: string;
    queryOptions: QueryOptions;
}
export declare class GenericClient {
    private config;
    private httpClient;
    constructor(config: GenericClientConfig);
    create(data: any): Promise<any>;
    get(id: string, getParams?: GetQueryParams): Promise<any>;
    find(findParams?: FindQueryParams<any>): Promise<any>;
    update(id: string, data: any): Promise<any>;
    remove(id: string): Promise<any>;
}
