"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class PersonsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/v2/persons",
            auth: auth,
            writeTypeName: "PersonWrite",
            singleResponseTypeName: "WrappedPerson",
            multipleResponseTypeName: "WrappedWithMetaArrayPerson",
            queryOptions: queryOptions,
        });
        this.idLookupClient = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/v2/persons/personID",
            auth: auth,
            writeTypeName: "-",
            singleResponseTypeName: "WrappedInt",
            multipleResponseTypeName: "-",
            queryOptions: queryOptions,
        });
    }
    async create(person) {
        return this.client.create(person);
    }
    async remove(id) {
        return this.client.remove(id);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, person) {
        return this.client.update(id, person);
    }
    async lookupPersonId(uid) {
        return this.idLookupClient.get(uid, {});
    }
}
exports.PersonsClient = PersonsClient;
