"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleAssignmentsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class RoleAssignmentsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/roleAssignments",
            auth: auth,
            writeTypeName: "RoleAssignmentWrite",
            singleResponseTypeName: "WrappedRoleAssignment",
            multipleResponseTypeName: "WrappedWithMetaArrayRoleAssignment",
            queryOptions: queryOptions,
        });
    }
    async create(roleAssignments) {
        return this.client.create(roleAssignments);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, roleAssignments) {
        return this.client.update(id, roleAssignments);
    }
    async remove(id) {
        return this.client.remove(id);
    }
}
exports.RoleAssignmentsClient = RoleAssignmentsClient;
