import { Affiliation, AffiliationWrite, WrappedAffiliation, WrappedWithMetaArrayAffiliation } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class AffiliationsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(affiliation: AffiliationWrite): Promise<WrappedAffiliation>;
    get(id: string, query?: GetQueryParams): Promise<WrappedAffiliation>;
    find(findParams?: FindQueryParams<Affiliation>): Promise<WrappedWithMetaArrayAffiliation>;
    update(id: string, affiliation: AffiliationWrite): Promise<WrappedAffiliation>;
    remove(id: string): Promise<WrappedAffiliation>;
}
