import { GenericClient } from "./genericClient.js";
export class RelationsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new GenericClient({
            basePath: basePath,
            endpointPath: "/relations",
            auth: auth,
            writeTypeName: "RelationWrite",
            singleResponseTypeName: "WrappedRelation",
            multipleResponseTypeName: "WrappedWithMetaArrayRelation",
            queryOptions: queryOptions,
        });
    }
    async create(relation) {
        return this.client.create(relation);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, relation) {
        return this.client.update(id, relation);
    }
}
