import { GenericClient } from "./genericClient.js";
export class RolesClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new GenericClient({
            basePath: basePath,
            endpointPath: "/roles",
            auth: auth,
            writeTypeName: "RoleWrite",
            singleResponseTypeName: "WrappedRole",
            multipleResponseTypeName: "WrappedWithMetaArrayRole",
            queryOptions: queryOptions,
        });
    }
    async create(org) {
        return this.client.create(org);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
}
