import { Address } from './address.js';
import { Affiliation } from './affiliation.js';
import { Consent } from './consent.js';
import { Gender } from './gender.js';
import { GroupMember } from './groupMember.js';
import { MaritalStatus } from './maritalStatus.js';
import { NationalId } from './nationalId.js';
import { PersonRelation } from './personRelation.js';
import { Preferences } from './preferences.js';
import { RoleAssignment } from './roleAssignment.js';
export declare class Person {
    'address'?: Address;
    'affiliations'?: Array<Affiliation>;
    'birthDate': string;
    'cellPhone'?: string;
    'cellPhoneVerified'?: boolean;
    'consents'?: Array<Consent>;
    'deceasedDate'?: string | null;
    'displayName': string;
    'email'?: string;
    'emailVerified'?: boolean;
    'firstName': string;
    'gender': Gender;
    'homePhone'?: string;
    'lastChangedDate': Date;
    'lastName': string;
    'maritalStatus': MaritalStatus;
    'middleName'?: string;
    'nationalIds'?: Array<NationalId>;
    'personID': number;
    'preferences'?: Preferences;
    'profilePicture'?: string;
    'relations'?: Array<PersonRelation>;
    'roleAssignments'?: Array<RoleAssignment>;
    'staticGroupMemberships'?: Array<GroupMember>;
    'uid': string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
